Opened 3 years ago

Closed 3 years ago

#12962 closed Bug Report - General (Duplicate)

Problem programming recording using Mythweb due to SQL error in 'datatime'

Reported by: kmpatel@… Owned by: Stuart Auchterlonie
Priority: minor Milestone: 0.28.1
Component: Plugin - MythWeb Version: 0.28.0
Severity: medium Keywords: mythweb, SQL, datetime, recording, scheduling
Cc: Ticket locked: no

Description

Error is occurring when trying to schedule recording via Mythweb. Specific conditions: distro is Ubuntu 16.04, mythtv is 2:0.28.0+fixes.20160413.15cf421-0ubuntu2, mysql is 5.7.16-0ubuntu0.16.04.1, mythconverg is 1344 migrated/upgraded from mythweb v0.27 (1317?)

In Mythweb, the following error is received:

SQL Error: Incorrect datetime value: '00:00:00' for column 'next_record'

Specifically, line 348 of /usr/share/mythtv/mythweb/modules/tv/classes/Schedule.php has been coded (actually modified as compared to mythweb v0.28 in ubuntu 14.04) to use 00:00:00 as 'datetime' for 'next_record', 'last_record', and 'last_delete'. This produces the error.

When ./Schedule.php is modified to use NULL as datetime instead, Mythweb is able to schedule recording as normal.

Change History (3)

comment:1 Changed 3 years ago by Stuart Auchterlonie

Milestone: unknown0.28.1
Resolution: Invalid
Status: newclosed

Hi,

You need to run mythweb 0.28 alongside mythtv 0.28. Fixes for these issues caused by mysql changes have already been pushed to mythweb.

Please update your mythweb packages.

Regards Stuart

comment:2 Changed 3 years ago by sphery

Resolution: Invalid
Status: closednew

I think he was saying that he's using MythTV 0.28 with MythWeb 0.28.

However, this is a dup of #12766 and #12878 , which were fixed by #12811.

To fix, update to a newer version of 0.28-fixes from the PPA so that you're using a version that's compatible with the version of MySQL you're using.

comment:3 Changed 3 years ago by sphery

Resolution: Duplicate
Status: newclosed
Note: See TracTickets for help on using tickets.